package com.kmall.admin.dao;

import com.kmall.admin.entity.GoodsEntity;
import com.kmall.common.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * Dao
 *
 * @author Scott
 * @email
 * @date 2017-08-21 21:19:49
 */
public interface GoodsDao extends BaseDao<GoodsEntity> {
    Long queryMaxId();

    GoodsEntity queryObjectBySn(String goodsSn);

    GoodsEntity queryObjectByProdBarcodeAndBizType(@Param("prodBarcode")String prodBarcode, @Param("storeId")Integer storeId);

    List<GoodsEntity> querySame(Map<String, Object> map);

    GoodsEntity queryObjectByProdBarcode(@Param("prodBarcode") String prodBarcode, @Param("merchSn") String merchSn,@Param("goodsId")Long id);
}
